Page MenuHomePhabricator

FloatingMenuSelectWidget does not update its position after its $container's scrollable parent is scrolled
Closed, ResolvedPublic

Description

FloatingMenuSelectWidget does not update its position after its $container's scrollable parent is scrolled. This is noticeable in scrollable dialogs that have widgets using $overlay.

Screenshot from some tests with https://gerrit.wikimedia.org/r/#/c/235431/:

After scrolling up:

Event Timeline

matmarex created this task.Sep 15 2015, 5:32 PM
matmarex claimed this task.
matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added a project: OOUI.
matmarex added a subscriber: Prtksxna.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 15 2015, 5:32 PM

Change 238741 had a related patch set uploaded (by Bartosz Dziewoński):
FloatingMenuSelectWidget: Update position of menus within overlay while scrolling

https://gerrit.wikimedia.org/r/238741

Change 238741 merged by jenkins-bot:
FloatingMenuSelectWidget: Update position of menus within overlay while scrolling

https://gerrit.wikimedia.org/r/238741

matmarex closed this task as Resolved.Sep 17 2015, 3:26 PM
Jdforrester-WMF triaged this task as Normal priority.Sep 17 2015, 4:25 PM
Jdforrester-WMF edited projects, added OOjs-UI-next-release; removed Patch-For-Review.
Jdforrester-WMF set Security to None.
Jdforrester-WMF moved this task from Backlog to Reviewing on the OOUI board.Sep 18 2015, 3:23 PM